import os
import shutil

if os.path.exists("launchers"):
    shutil.rmtree("launchers")
os.mkdir("launchers")

open("launchers/.gitignore", "w").write("*")


for game in os.listdir("build/games"):
    path = os.path.join("build/games", game)
    if not os.path.isdir(path):
        continue

    shutil.copyfile(
        os.path.join(path, game+".exe"),
        os.path.join("launchers", game+".exe"),
    )